List payment links
curl --request GET \
--url https://api.meum.io/v1/payment-links \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.meum.io/v1/payment-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meum.io/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"public_id": "<string>",
"public_url": "https://pay.meum.io/plpub_c9a9bb730611077574c828af5af5fed1",
"title": "Summer fundraiser",
"description": "<string>",
"image_url": "<string>",
"amount_mode": "fixed_amount",
"amount": "25.00",
"currency": "USD",
"min_amount": "<string>",
"max_amount": "<string>",
"suggested_amounts": [
10,
25,
50
],
"allow_multiple_payments": true,
"public_visible": true,
"status": "active",
"effective_status": "active",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"stats": {
"total_payments": "12",
"paid_payments": "10",
"total_volume": "250.00"
}
}
],
"has_more": true,
"next_cursor": "550e8400-e29b-41d4-a716-446655440000"
}Pay Links
List payment links
GET
/
v1
/
payment-links
List payment links
Authorizations
Store-scoped API key. Prefix with sk_live_.
Example: Authorization: Bearer sk_live_EXAMPLE_DO_NOT_USE
Query Parameters
How many items to return per page (1–100). Defaults to 20 if omitted.
Required range:
1 <= x <= 100Pagination cursor. Pass the ID of the last item from the previous page to get the next page. Omit on the first request.
Pattern:
^(inv_|txn_|plink_|wh_|whd_|evt_|int_)[0-9a-z]{20,32}$Response
200 - application/json
Paginated payment link list
Page of resources for the current request.
Show child attributes
Show child attributes
Whether additional pages exist after this one.
Example:
true
Pass as starting_after on the next request to fetch the following page. Null when has_more is false.
Example:
"550e8400-e29b-41d4-a716-446655440000"